| OpenCV 4.3.0 Open Source Computer Vision

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
cv::CvFeatureParams Class Reference
Tracking API

`#include <opencv2/tracking/feature.hpp>`

Inheritance diagram for cv::CvFeatureParams:

## Public Types
enum | FeatureType { HAAR = 0, LBP = 1, HOG = 2 }

## Public Member Functions
| CvFeatureParams ()
virtual void | init (const CvFeatureParams &fp)
virtual bool | read (const FileNode &node) CV_OVERRIDE
virtual void | write (FileStorage &fs) const CV_OVERRIDE
Public Member Functions inherited from cv::CvParams
| CvParams ()
virtual | ~CvParams ()
virtual void | printAttrs () const
virtual void | printDefaults () const
virtual bool | scanAttr (const std::string prmName, const std::string val)

## Static Public Member Functions
static Ptr< CvFeatureParams > | create (CvFeatureParams::FeatureType featureType)

## Public Attributes
int | featSize
int | maxCatCount
int | numFeatures
Public Attributes inherited from cv::CvParams
std::string | name

## Member Enumeration Documentation

## ◆ FeatureType

enum cv::CvFeatureParams::FeatureType

Enumerator
HAAR |
LBP |
HOG |

## Constructor & Destructor Documentation

## ◆ CvFeatureParams()

cv::CvFeatureParams::CvFeatureParams | ( |  | ) |

## Member Function Documentation

## ◆ create()

static Ptr<CvFeatureParams> cv::CvFeatureParams::create | ( | CvFeatureParams::FeatureType | featureType | ) |
| static

## ◆ init()

virtual void cv::CvFeatureParams::init | ( | const CvFeatureParams & | fp | ) |
| virtual

Reimplemented in cv::CvHaarFeatureParams.

## ◆ read()

virtual bool cv::CvFeatureParams::read | ( | const FileNode & | node | ) |
| virtual

Implements cv::CvParams.

Reimplemented in cv::CvHaarFeatureParams.

## ◆ write()

virtual void cv::CvFeatureParams::write | ( | FileStorage & | fs | ) | const
| virtual

Implements cv::CvParams.

Reimplemented in cv::CvHaarFeatureParams.

## Member Data Documentation

## ◆ featSize

int cv::CvFeatureParams::featSize

## ◆ maxCatCount

int cv::CvFeatureParams::maxCatCount

## ◆ numFeatures

int cv::CvFeatureParams::numFeatures

The documentation for this class was generated from the following file:

- opencv2/tracking/feature.hpp